Bug 1659348 - VM Error doesn't show in events page
Summary: VM Error doesn't show in events page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: User Experience
Version: 1.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 1.4
Assignee: Filip Krepinsky
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-14 07:17 UTC by Guohua Ouyang
Modified: 2019-03-05 10:51 UTC (History)
6 users (show)

Fixed In Version: 1.4.0-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 10:51:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Guohua Ouyang 2018-12-14 07:17:47 UTC
Description of problem:
Once there is an "VM Error" on vm state, hang mouse on ”VM Error", it can show the details about the error. By clicking the link, it goes to events page, but nothing shows there.

Below are VM error information from command line, it should show in the UI.
$ oc describe vm testurl1a

Status:
  Conditions:
    Last Probe Time:       <nil>
    Last Transition Time:  2018-12-14T06:50:18Z
    Message:               Failed to create DataVolume: DataVolume.cdi.kubevirt.io "rootdisk-testurl1A" is invalid: metadata.name: Invalid value: "rootdisk-testurl1A": a DNS-1123 subdomain must consist of lower case alphanumeric characters, '-' or '.', and must start and end with an alphanumeric character (e.g. 'example.com', regex used for validation is '[a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*')
    Reason:                FailedCreate
    Status:                True
    Type:                  Failure
Events:
  Type     Reason                  Age                From                       Message
  ----     ------                  ----               ----                       -------
  Warning  FailedDataVolumeCreate  30s (x15 over 1m)  virtualmachine-controller  Error creating DataVolume rootdisk-testurl1A: DataVolume.cdi.kubevirt.io "rootdisk-testurl1A" is invalid: metadata.name: Invalid value: "rootdisk-testurl1A": a DNS-1123 subdomain must consist of lower case alphanumeric characters, '-' or '.', and must start and end with an alphanumeric character (e.g. 'example.com', regex used for validation is '[a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*')


Version-Release number of selected component (if applicable):
kubevirt-web-ui:v1.4.0-5

How reproducible:


Steps to Reproduce:
1. create a VM with hostname has uppercase letter
2. choose the provision source "URL"
3. fill the correct URL and goes on to create the VM.

Actual results:
VM is created and its state is "VM Error", click "VM Error" goes to event page, it's empty in events.

Expected results:
The error shows in the vm event page.

Additional info:

Comment 1 Marek Libra 2019-01-15 13:58:37 UTC
Fixed by: https://github.com/kubevirt/web-ui/pull/170

Comment 2 Guohua Ouyang 2019-01-21 08:02:46 UTC
verified on 1.4.0-10, the related errors are showing in events.


Note You need to log in before you can comment on or make changes to this bug.